BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.ArgumentException System.Runtime.InteropServices.ComVisible(true)

The common language runtime provides a thread synchronization mechanism based on synchronization objects waiting for execution in an array of objects. If the array of objects passed to or contains any duplicate operating system handles, is thrown. For more information, see .

uses the HRESULT COR_E_DUPLICATEWAITOBJECT, which has the value 0x80131529.

For a list of initial property values for an instance of , see the constructors.

This exception is not included in the .NET for Windows Store apps or the Portable Class Library, but it is thrown by some members that are. To catch the exception in that case, write a catch statement for instead.

The exception that is thrown when an object appears more than once in an array of synchronization objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor initializes the property of the new instance to a system-supplied message that describes the error, such as "Duplicate objects in argument." This message takes into account the current system culture.

  The following table shows the initial property values for an instance of .

  Property

  Value

  A null reference (Nothing in Visual Basic).

  The localized error message string.

  Initializes a new instance of the class.

  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The content of is intended to be understood by humans.

  The following table shows the initial property values for an instance of .

  Property

  Value

  A null reference (Nothing in Visual Basic).

  The localized error message string.

  The parameter name string.

  Initializes a new instance of the class with the name of the parameter that causes this exception.

  The name of the parameter that caused the exception.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream. For more information, see [<topic://cpconSerialization>].

  Initializes a new instance of the class with serialized data.

  The object that holds the serialized object data.
  The contextual information about the source or destination.
- Constructor
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed to this constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The exception specified by .

  The error message string specified by .

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The content of the and parameters is intended to be understood by humans. The caller of this constructor is required to ensure that these strings have been localized for the current system culture.

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or a null reference (Nothing in Visual Basic) if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  A null reference (Nothing in Visual Basic)

  The error message string.

  The parameter name string.

  Initializes a new instance of the class with a specified error message and the name of the parameter that causes this exception.

  The name of the parameter that caused the exception.
  The message that describes the error.
  0
0